Subject: Re: linux-next: Tree for December 3

From: Michal Simek <[email-masked]>
Date: Thu, 03 Dec 2009 12:37:28 +0100

Tejun Heo wrote:
> Hello,
> 
> On 12/03/2009 04:40 PM, Michal Simek wrote:
>> todays tree is working on MMU microblaze correctly without any visible
>> problem but noMMU microblaze kernel still have that bug as I reported
>> some days ago.
> 
> Other than triggering WARN_ON(), it doesn't cause any other problems,
> right?  It's probably because SMP_CACHE_BYTES on that configuration is
> lower than 8.  What is the value of SMP_CACHE_BYTES on the
> configuration?  Also, doesn't the Linus's tree have the same problem?

aaa - I was too fast and compiled noMMU tree for 09-12-02 not todays.
You can check it at http://www.monstr.eu/wiki/doku.php?id=log:log

The problem seems to me is away.

Thanks,
Michal

> 
> The somewhat spurious WARN_ON() in percpu allocator should probably be
> just removed or bumped to check against PAGE_SIZE as SMP code does.
> The problem is that on UP even though the function takes @align
> parameter, it just ignores it.  :-(
> 
> Thanks.
> 

-- 
Michal Simek, Ing. (M.Eng)
PetaLogix - Linux Solutions for a Reconfigurable World
w: www.petalogix.com p: +61-7-30090663,+42-0-721842854 f: +61-7-30090663